slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMEView

Prints the LME data structure.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEView(LME lme,PetscViewer viewer)

Collective

### Input Parameters

| lme | - the linear matrix equation solver context
| viewer | - optional visualization context

### Options Database Key

| -lme_view | - Calls LMEView() at end of LMESolve()

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### See Also

LMECreate()

### Level

beginner

### Location

src/lme/interface/lmebasic.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages